# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Date Class Reference

`#include <StepBasic_Date.hxx>`

Inheritance diagram for StepBasic_Date:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_Date ()
| Returns a Date .
virtual Standard_EXPORT void | Init (const Standard_Integer aYearComponent)
Standard_EXPORT void | SetYearComponent (const Standard_Integer aYearComponent)
Standard_EXPORT Standard_Integer | YearComponent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | yearComponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Date::StepBasic_Date | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_Date::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_CalendarDate, StepBasic_OrdinalDate, and StepBasic_WeekOfYearAndDayDate.

virtual Standard_EXPORT void StepBasic_Date::Init | ( | const Standard_Integer | aYearComponent | ) | `[virtual]`

| Reimplemented in StepBasic_CalendarDate, StepBasic_OrdinalDate, and StepBasic_WeekOfYearAndDayDate.

Standard_EXPORT void StepBasic_Date::SetYearComponent | ( | const Standard_Integer | aYearComponent | ) |

Standard_EXPORT Standard_Integer StepBasic_Date::YearComponent | ( |  | ) | const

## Field Documentation

Standard_Integer StepBasic_Date::yearComponent `[private]`

The documentation for this class was generated from the following file:

- StepBasic_Date.hxx